package com.liangjian.dataplatform.member.entity.po.secondary;

import com.liangjian.dataplatform.member.entity.po.BasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.*;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/15
 */
@Entity
@Table(name = "mem_user_level")
@ApiModel("等级设置")
public class UserLevelUnit extends BasicEntity {
    @ApiModelProperty("等级名称")
    private String name;

    @ApiModelProperty("等级")
    private Integer level;

    @ApiModelProperty("成长值下界")
    @Column(name = "growth_from")
    private Integer growthFrom;

    @ApiModelProperty("成长值上界")
    @Column(name = "growth_to")
    private Integer growthTo;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getGrowthFrom() {
        return growthFrom;
    }

    public void setGrowthFrom(Integer growthFrom) {
        this.growthFrom = growthFrom;
    }

    public Integer getGrowthTo() {
        return growthTo;
    }

    public void setGrowthTo(Integer growthTo) {
        this.growthTo = growthTo;
    }
}
